> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# MCP सर्वर टूल की सूची दें

GET https://api.elevenlabs.io/v1/convai/mcp-servers/{mcp_server_id}/tools

एक खास MCP सर्वर कॉन्फ़िगरेशन के लिए उपलब्ध सभी टूल्स पाएं।

Reference: https://elevenlabs.io/docs/api-reference/mcp/list-tools

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `mcp_server_id` (string, required) — MCP सर्वर की ID।

### Query parameters

- `environment` (string, optional, default: production) — वह environment जिसकी वैल्यू तब इस्तेमाल होती हैं, जब MCP सर्वर URL, headers या auth connection environment variables को रेफ़र करते हैं। यह उस environment जैसा होता है जिसमें बातचीत चलती; डिफ़ॉल्ट रूप से production है।

## Response

### 200

सफल रिस्पॉन्स

- `success` (boolean, required) — बताता है कि ऑपरेशन सफल हुआ या नहीं।
- `tools` (list of Tool, required) — MCP सर्वर पर उपलब्ध टूल्स की सूची।
- `tool_approval_statuses` (list of MCPToolApprovalStatus, optional) — वर्तमान में खोजे गए टूल के लिए व्युत्पन्न अप्रूवल स्थितियाँ। केवल प्रति-टूल अप्रूवल इस्तेमाल करने वाले पर्सिस्टेड MCP सर्वर के लिए भरा जाता है; अन्यथा खाली रहता है।
- `error_message` (string, optional, nullable) — ऑपरेशन सफल न होने पर त्रुटि संदेश।

## Errors

### 422 Unprocessable Entity Error

वैलिडेशन एरर

- `detail` (list of ValidationError, optional)

## Types

### Tool

क्लाइंट द्वारा कॉल किए जा सकने वाले टूल की परिभाषा।

- `name` (string, required)
- `inputSchema` (map from string to any, required)
- `title` (string, optional, nullable)
- `description` (string, optional, nullable)
- `execution` (ToolExecution, optional, nullable) — किसी टूल के लिए निष्पादन-संबंधी प्रॉपर्टी (केवल 2025-11-25)।
- `outputSchema` (map from string to any, optional, nullable)
- `icons` (list of Icon, optional, nullable)
- `annotations` (ToolAnnotations, optional, nullable) — क्लाइंट्स के लिए किसी टूल का वर्णन करने वाली अतिरिक्त प्रॉपर्टीज़। नोट: ToolAnnotations की सभी प्रॉपर्टीज़ **संकेत** हैं। इनसे टूल के व्यवहार का सटीक विवरण मिलने की गारंटी नहीं है (`title` जैसी वर्णनात्मक प्रॉपर्टीज़ सहित)। क्लाइंट्स को अविश्वसनीय सर्वर से मिले ToolAnnotations के आधार पर कभी भी टूल इस्तेमाल करने का निर्णय नहीं लेना चाहिए।
- `_meta` (map from string to any, optional, nullable)

### MCPToolApprovalStatus

वर्तमान में खोजे गए MCP टूल के लिए व्युत्पन्न अप्रूवल स्थिति।

- `tool_id` (string, required) — mcp:\<server\_id>:\<tool\_name> फ़ॉर्म में कैनॉनिकल MCP टूल आइडेंटिफ़ायर
- `state` (enum, required) — क्या कोई सहेजी हुई स्वीकृति मौजूद है और अब भी live tool definition से मेल खाती है।
  - Allowed values: `up_to_date`, `needs_review`, `not_approved`
- `approval_policy` (enum, optional, nullable, default: requires_approval) — संग्रहीत एक्ज़ीक्यूशन पॉलिसी। टूल की मंज़ूरी होने पर सेट होती है।
  - Allowed values: `auto_approved`, `requires_approval`
- `approved_definition` (MCPApprovedToolDefinition, optional, nullable) — पहले स्वीकृत definition, जब tool को review की ज़रूरत हो और snapshot मौजूद हो, तब शामिल की जाती है।

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ToolExecution

किसी टूल के लिए निष्पादन-संबंधी प्रॉपर्टी (केवल 2025-11-25)।

- `taskSupport` (enum, optional, nullable)
  - Allowed values: `forbidden`, `optional`, `required`

### Icon

यूज़र इंटरफ़ेस में दिखाने के लिए वैकल्पिक आकार वाला आइकन (2025-11-25+)।

- `src` (string, required)
- `mimeType` (string, optional, nullable)
- `sizes` (list of string, optional, nullable)
- `theme` (enum, optional, nullable)
  - Allowed values: `light`, `dark`

### ToolAnnotations

क्लाइंट्स के लिए किसी टूल का वर्णन करने वाली अतिरिक्त प्रॉपर्टीज़। नोट: ToolAnnotations की सभी प्रॉपर्टीज़ **संकेत** हैं। इनसे टूल के व्यवहार का सटीक विवरण मिलने की गारंटी नहीं है (`title` जैसी वर्णनात्मक प्रॉपर्टीज़ सहित)। क्लाइंट्स को अविश्वसनीय सर्वर से मिले ToolAnnotations के आधार पर कभी भी टूल इस्तेमाल करने का निर्णय नहीं लेना चाहिए।

- `title` (string, optional, nullable)
- `readOnlyHint` (boolean, optional, nullable)
- `destructiveHint` (boolean, optional, nullable)
- `idempotentHint` (boolean, optional, nullable)
- `openWorldHint` (boolean, optional, nullable)

### MCPApprovedToolDefinition

स्वीकृत MCP tool definition का snapshot।

- `description` (string, optional, default: ) — अप्रूवल के समय MCP सर्वर द्वारा दिया गया टूल विवरण
- `input_schema` (map from string to any, optional) — अप्रूवल के समय MCP सर्वर द्वारा दिया गया JSON इनपुट schema

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "success": true,
  "tools": [
    {
      "name": "weather_by_zapier_get_current",
      "inputSchema": {
        "properties": {
          "latitude": {
            "description": "Latitude",
            "type": "string"
          },
          "longitude": {
            "description": "Longitude",
            "type": "string"
          }
        },
        "required": [
          "latitude",
          "longitude"
        ],
        "type": "object"
      },
      "description": "Gets current weather conditions for a location."
    },
    {
      "name": "tool2",
      "inputSchema": {
        "properties": {},
        "type": "object"
      },
      "description": "Description of tool2"
    }
  ],
  "tool_approval_statuses": []
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tools"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tools';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tools"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tools")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tools")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tools');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tools");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/mcp-servers/mcp_server_id/tools")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```